/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.datamodel.graph
 * File:    Identifier.java
 *
 * Copyright (C) 2010-2011 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.datamodel.graph;

import java.util.LinkedList;
import java.util.List;


/**
 * FIXME: Needs description and some history entries.
 * 
 * 
 * @author
 * @version 0.1
 * 
 * created:
 * 
 * changes:
 *     11.09 
 * 	09.12.09 aw - inserted dummy comment
 *  09.12.09 aw - added abstract copy()
 *  04.02.10 aw - some comments
 * 
 *
 */
abstract public class Identifier extends MetadataContainer {
	
	
	
	/**
	 * List of links which point to other identifiers
	 */
	private final List<Link> links;
	private int hashCode;
	 
	
	/**
	 * 
	 */
	private IdentifierType identifierType;
	
	public Identifier(IdentifierType type) {
		identifierType = type;
		links = new LinkedList<Link>();
		hashCode = 	this.getClass().getCanonicalName().hashCode();
	}
	
	public List<Link> getLinks() {
		return links;
	}
	
	public void addLink(Link link){
		if(!links.contains(link)){
			links.add(link);
		}
	}
	 
	public IdentifierType getType() {
		return identifierType;
	}
	
	/**
	 * Overwritten to return the hashcode of the classname
	 */
	public int hashCode() {
		return hashCode;
	}
	
	abstract public boolean equals(Object o);

	public void removeLink(Link link) {
		links.remove(link);
	}

	abstract public Identifier copy();
	
}
 
