/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.messages
 * File:    Response.java
 *
 * Copyright (C) 2010-2011 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.messages;

/**
 * Simple superclass for Results
 * 
 * @author aw
 * @version 0.1
 * 
 * created: 05.02.10
 * 
 * changes:
 *   11.05.10 aw - We trust to construct everything correct in case it isn't
 *                 throw runtime exceptions :-/
 *
 */
public class Response  {
	
	/**
	 * Who is the one that gets this Result
	 */
	private String sessionId;
	
	Response(String sessionid) {
		if (sessionid == null | sessionid.length() == 0) {
			throw new RuntimeException("sessionId needs to be given");
		}
		sessionId = new String(sessionid);
	}
	
	public String getSessionId() {
		return new String(sessionId);
	}

}
