/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.messages.result
 * File:    ResultConstructionException.java
 *
 * Copyright (C) 2010-2011 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.messages.result;

/**
 * Simple {@link Exception} to be thrown if a {@link Result} can not be
 * constructed.
 * We extend {@link RuntimeException} because if we happen to throw one,
 * something is badly broken.
 * 
 * @author aw
 *
 */
public class ResultConstructionException extends RuntimeException {

	/**
	 * autogenerated
	 */
	private static final long serialVersionUID = 4308253608131002555L;

	public ResultConstructionException(String msg) {
		super(msg);
	}

}
