/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.messages.result
 * File:    SearchResult.java
 *
 * Copyright (C) 2010-2011 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.messages.result;

import de.fhhannover.inform.iron.mapserver.communication.ChannelIdentifier;
import de.fhhannover.inform.iron.mapserver.utils.NullCheck;

/**
 * Ok, this might be stupid, we encapsulate SearchResult from the DataModel
 * into one, which is used solely to identify what kind of message has to
 * be send away. This is because some "ugly" dependencies.
 * 
 * @author aw
 *
 */
public class SearchResult extends Result {
	
	private final de.fhhannover.inform.iron.mapserver.messages.SearchResult mSearchResult;

	public SearchResult(ChannelIdentifier channelId,
			de.fhhannover.inform.iron.mapserver.messages.SearchResult searchResult) {
		super(channelId);
		
		NullCheck.check(searchResult, "searchResult is null");
		mSearchResult = searchResult;
	}

	public de.fhhannover.inform.iron.mapserver.messages.SearchResult getSearchResult() {
		return mSearchResult;
	}
}
